// ************************************************************* 
//
// ************************************************************* 
void setup()
{
 DDRG  &=  B11111011; // Eingang PORTG.2 Board-Check 32/64
 PORTG |=  B00000100;  // Pullup setzen
 
 DDRJ  |=  B10000000; // Status LED Ausgang PORTJ.7
 

 LED_ON  //PIN J7 einschalten
 delay(200);
 LED_OFF  //PIN J7 ausschalten
 delay(200);
 LED_ON;  //PIN J7 einschalten
 delay(200);
 LED_OFF  //PIN J7 ausschalten 

  
  Serial.begin (57600);  
  Serial1.begin(57600);  //RS485-Bus (Rückwandbus)
  Serial3.begin(57600);  //USART TTL (Rückwandbus)


 // Welche Hardware-Variante (BoardType)?
  if((PING & B00000100) > 0)
   bBoardType = 32;
  else
   bBoardType = 64; 


//EEPROM.write(EE_MySlaveID, 1);

   // DeviceID lesen
   bMySlaveID = EEPROM.read(EE_MySlaveID);
   
   if((bMySlaveID < 0x01) || (bMySlaveID > 0x02))
    bMySlaveID = 0x01;

   xTwi = (bool)EEPROM.read(EE_Twi);
   
   if(xTwi > 0x01)  // kann wegen Datentyp [bool] nicht größer 1 sein
    xTwi = true;


 display._i2caddr = 0x3C; // 0x3D

 if(xTwi)
 {
  display.TWIInit();
  display.xTwiBegin = true;
  
  while(display.xTwiBegin)
  {
   display.TwiBeginSimultan();
  }
  
  IniGfxRam();
 }
    

for(bP=0; bP <= 7; bP++)
{
 bReverse[bP] = 0;
 bInverse[bP] = 0;
}

 IniDDR();


 WatchDogSetup();
}
